com.io7m.jtensors

## Interface VectorWritable4DType

- All Superinterfaces:
    VectorWritable2DType, VectorWritable3DType
  All Known Subinterfaces:
    PVector4DType<T>, PVectorByteBuffered4DType<T>, PVectorWritable4DType<T>, Quaternion4DType, QuaternionByteBuffered4DType, QuaternionWritable4DType, Vector4DType, VectorByteBuffered4DType
  All Known Implementing Classes:
    PVectorByteBufferedM4D, PVectorM4D, QuaternionByteBufferedM4D, QuaternionM4D, VectorByteBufferedM4D, VectorM4D

      public interface VectorWritable4DType
      extends VectorWritable3DType

  'Write' interface to four-dimensional vectors with `double` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom4D(VectorReadable4DType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set4D(double x, double y, double z, double w)` Set the current `x`, `y`, `z` and `w` values of the current vector.
    `void` | `setWD(double w)` Set the current `w` value of the current vector.

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable3DType

      `copyFrom3D, set3D, setZD`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2DType

      `copyFrom2D, set2D, setXD, setYD`

- - ### Method Detail

    - #### copyFrom4D

          void copyFrom4D(VectorReadable4DType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set4D

          void set4D(double x,
                     double y,
                     double z,
                     double w)

      Set the current `x`, `y`, `z` and `w` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.
        `z` - The new `z` value.
        `w` - The new `w` value.

    - #### setWD

          void setWD(double w)

      Set the current `w` value of the current vector.
      Parameters:
        `w` - The new `w` value.

Copyright © 2016 <code@io7m.com> http://io7m.com